//------------------------------------------------------------------
#property copyright "www.forex-tsd.com"
#property link      "www.forex-tsd.com"
//------------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1  LimeGreen
#property indicator_color2  DarkOrange
#property indicator_width1  2
#property indicator_width2  2
#property indicator_minimum 0
#property indicator_maximum 1

extern int Ma1Period   =   5;
extern int Ma1Price    =  PRICE_CLOSE;
extern int Ma1Method   =  MODE_EMA;
extern int Ma1Shift    =  0;
extern int Ma2Period   =  15;
extern int Ma2Price    =  PRICE_CLOSE;
extern int Ma2Method   =  MODE_EMA;
extern int Ma2Shift    =  0;
extern int Ma3Period   =  28;
extern int Ma3Price    =  PRICE_CLOSE;
extern int Ma3Method   =  MODE_EMA;
extern int Ma3Shift    =  0;
extern int Ma4Period   =  45;
extern int Ma4Price    =  PRICE_CLOSE;
extern int Ma4Method   =  MODE_EMA;
extern int Ma4Shift    =  0;

//
//
//
//
//

double histu[];
double histd[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
    SetIndexBuffer(0,histu); SetIndexStyle(0,DRAW_HISTOGRAM);
    SetIndexBuffer(1,histd); SetIndexStyle(1,DRAW_HISTOGRAM);
    return(0);
}
int deinit() { return(0); }

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int start()
{
   int counted_bars = IndicatorCounted();
      if (counted_bars < 0) return(-1);
      if (counted_bars > 0) counted_bars--;
           int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   
   for(int i = limit; i >=0; i--)
   {
      double ma1 = iMA(NULL,0,Ma1Period,Ma1Shift,Ma1Method,Ma1Price,i);
      double ma2 = iMA(NULL,0,Ma2Period,Ma2Shift,Ma2Method,Ma2Price,i);
      double ma3 = iMA(NULL,0,Ma3Period,Ma3Shift,Ma3Method,Ma3Price,i);
      double ma4 = iMA(NULL,0,Ma4Period,Ma4Shift,Ma4Method,Ma4Price,i);
         histu[i] = EMPTY_VALUE;
         histd[i] = EMPTY_VALUE;
         if (ma1>ma2 && ma2>ma3 && ma3>ma4) histu[i] = 1;
         if (ma1<ma2 && ma2<ma3 && ma3<ma4) histd[i] = 1;
   }
   return(0);
}